From 414d24b9148196654cc6caa6697fd651cffae0d5 Mon Sep 17 00:00:00 2001
From: Jacob Michalskie <hel@lcp.world>
Date: Nov 23 2022 22:26:35 +0000
Subject: [PATCH 7/7] Remove chunks


---

diff --git a/fedocal/__init__.py b/fedocal/__init__.py
index 0f33414..d0d712a 100644
--- a/fedocal/__init__.py
+++ b/fedocal/__init__.py
@@ -355,13 +355,6 @@ def get_timezone():
     return tzone
 
 
-def chunks(item_list, chunks_size):
-    """ Yield successive n-sized chunks from item_list.
-    """
-    for i in six.moves.range(0, len(item_list), chunks_size):
-        yield item_list[i: i + chunks_size]
-
-
 def is_safe_url(target):
     """ Checks that the target url is safe and sending to the current
     website not some other malicious one.
@@ -417,8 +410,8 @@ def index():
     return flask.render_template(
         'index.html',
         calendars=calendars_enabled,
-        calendars_table=chunks(calendars_enabled, 3),
-        calendars_table2=chunks(calendars_disabled, 3))
+        calendars_enabled=calendars_enabled,
+        calendars_disabled=calendars_disabled)
 
 
 # pylint: disable=R0914
@@ -1512,7 +1505,7 @@ def locations():
     list_locations = fedocallib.get_locations(SESSION)
     return flask.render_template(
         'locations.html',
-        locations=chunks(list_locations, 3))
+        locations=list_locations)
 
 
 # pylint: disable=R0914
